Package com.google.android.exoplayer2.video

## Class AvcConfig

- java.lang.Object
- - com.google.android.exoplayer2.video.AvcConfig

-     public final class AvcConfig
      extends Object

  AVC configuration data.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `codecs` |
    `int` | `height` |
    `List<byte[]>` | `initializationData` |
    `int` | `nalUnitLengthFieldLength` |
    `float` | `pixelWidthAspectRatio` |
    `int` | `width` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AvcConfig` | `parse​(ParsableByteArray data)` | Parses AVC configuration data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### initializationData

          public final List<byte[]> initializationData

    - #### nalUnitLengthFieldLength

          public final int nalUnitLengthFieldLength

    - #### width

          public final int width

    - #### height

          public final int height

    - #### pixelWidthAspectRatio

          public final float pixelWidthAspectRatio

    - #### codecs

          @Nullable
          public final String codecs

  - ### Method Detail

    - #### parse

          public static AvcConfig parse​(ParsableByteArray data)
                                 throws ParserException

      Parses AVC configuration data.
      Parameters:
        `data` - A `ParsableByteArray`, whose position is set to the start of the AVC configuration data to parse.
      Returns:
        A parsed representation of the AVC configuration data.
      Throws:
        `ParserException` - If an error occurred parsing the data.